namespace InABox.Core
{
    [UserTracking(typeof(User))]
    public class DocumentType : Entity, IPersistent, IRemotable, ILicense<CoreLicense>
    {
        [UniqueCodeEditor(Visible = Visible.Default, Editable = Editable.Enabled)]
        public string Code { get; set; }

        [TextBoxEditor]
        public string Description { get; set; }
    }
}